<?php
/*
Plugin Name: Simple Image Link
Plugin URI: http://blog-well.com/downloads/wordpress-image-link-plugin/
Description: A simple way to add an image with a link to your sidebar
Author: BlogWell
Version: 2.1.1
Author URI: http://blog-well.com/
*/

/*
Copyright (C) 2008 blog-well.com (mad AT blog-well DOT com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// Kudos to the WordPress guys who added the "Pattern for multi-widget" in their code - this could not have been created without this template

// SIMPLEIMAGELINK_VERSION
// Version number of the properties saved - used to set meaningful defaults when new properties added.
//
//		Version 2 - Display added
//		Version 3 - User roles & more considered when displaying image
//
define('SIMPLEIMAGELINK_VERSION', 3);	

if (!function_exists(widget_simpleimagelink_header))
{
	function widget_simpleimagelink_header($args)
	{	
		// Pre-2.6 compatibility
		if (!defined('WP_CONTENT_URL'))
		  define('WP_CONTENT_URL', get_option('siteurl') . '/wp-content');
		if (!defined('WP_CONTENT_DIR'))
		  define('WP_CONTENT_DIR', ABSPATH . 'wp-content');
		if (!defined('WP_PLUGIN_URL'))
		  define('WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins');
		if (!defined('WP_PLUGIN_DIR'))
		  define('WP_PLUGIN_DIR', WP_CONTENT_DIR . '/plugins');
		$simpleimagelinkhead = "<!-- ImageLink widget --><link rel='stylesheet' href='" . WP_PLUGIN_URL . '/' . basename(dirname(__FILE__)) . "/simple-image-link.css' type='text/css' media='screen' />";
		print($simpleimagelinkhead);
	}
}

// Displays widget on blag
// $widget_args: number
//    number: which of the several widgets of this type do we mean
function widget_simpleimagelink( $args, $widget_args = 1 ) 
{
	extract( $args, EXTR_SKIP );
	if ( is_numeric($widget_args) )
		$widget_args = array( 'number' => $widget_args );
	$widget_args = wp_parse_args( $widget_args, array( 'number' => -1 ) );
	extract( $widget_args, EXTR_SKIP );

	// Data should be stored as array:  array( number => data for that instance of the widget, ... )
	$options = get_option('widget_simpleimagelink');
	if ( !isset($options[$number]) )
		return;

	$version = htmlspecialchars(stripcslashes($options[$number]['version']));
	$title = htmlspecialchars(stripcslashes($options[$number]['title']));
	$showTitle = htmlspecialchars(stripcslashes($options[$number]['showTitle']));
	$alt = htmlspecialchars(stripcslashes($options[$number]['alt']));
	$showPopup = htmlspecialchars(stripcslashes($options[$number]['showPopup']));
	$img = htmlspecialchars(stripcslashes($options[$number]['img']));
	$imgWidth = htmlspecialchars(stripcslashes($options[$number]['imgWidth']));
	$imgHeight = htmlspecialchars(stripcslashes($options[$number]['imgHeight']));
	$url = htmlspecialchars(stripcslashes($options[$number]['url']));
	$urlTarget = htmlspecialchars(stripcslashes($options[$number]['urlTarget']));
	$noFollow = htmlspecialchars(stripcslashes($options[$number]['noFollow']));
	$paddingTop = htmlspecialchars(stripcslashes($options[$number]['paddingTop']));
	$paddingBottom = htmlspecialchars(stripcslashes($options[$number]['paddingBottom']));
	$alignment = htmlspecialchars(stripcslashes($options[$number]['alignment']));
	$text = htmlspecialchars(stripcslashes($options[$number]['text']));
	$break = htmlspecialchars(stripcslashes($options[$number]['break']));
	$shadowBox = htmlspecialchars(stripcslashes($options[$number]['shadowBox']));
	$role = $options[$number]['role'];	
	$roleMethod = $options[$number]['roleMethod'];	

	if (empty($alignment)) $alignment = "center";

	if (empty($version) || ($version <= 2))
	{
  	$display = htmlspecialchars(stripcslashes($options[$number]['display']));
    $role = $display == 0 ? 'do-not-display' : '';
	  $roleMethod = 0;
	}
  $role = strtolower($role);
  $display = strcmp($role, 'do-not-display') != 0;
	
  if (!is_admin())
  {
	  if (!empty($role))
	  {
      if (!$display)
        return;
		  if ($roleMethod == 0)
		  {
			  $roleLookup = array('administrator' => 'level_8', 'editor' => 'level_3', 'author' => 'level_2', 'contributor' => 'level_1', 'subscriber' => 'level_0');
			  $level = $roleLookup[$role];
		  }
		  else
			  $level = strtolower($role);
	  
		  if (!current_user_can($level))
			  return;
	  }
	  else
	  {
		  if ($roleMethod == 1)
		  {
			  if (is_user_logged_in())
				  return;
		  }
	  }
  }
  	
	$aAttribs = '';
	$imgStyle = '';
	$divStyle = '';
	$imgAttribs = '';
	$divAttribs = '';
	$relTags = '';
	
	if ($noFollow == 1)         { if (!empty($relTags)) $relTags .= ' '; $relTags .= 'nofollow'; }
	if ($shadowBox == 1)        { if (!empty($relTags)) $relTags .= ' '; $relTags .= 'shadowBox'; }

	if (!empty($imgWidth))      { $imgStyle .= ' width:' . $imgWidth . ';'; }
	if (!empty($imgHeight))     { $imgStyle .= ' height:' . $imgHeight . ';'; }
	if (!empty($paddingTop))    { $divStyle .= ' padding-top:' . $paddingTop . ';'; }
	if (!empty($paddingBottom)) { $divStyle .= ' padding-bottom:' . $paddingBottom . ';'; }

	if (!empty($imgStyle))      { $imgAttribs .= ' style="' . $imgStyle . '"'; }
	if (!empty($divStyle))      { $divAttribs .= ' style="' . $divStyle . '"'; }
	
	if (!empty($urlTarget))     { $aAttribs .= ' target="' . $urlTarget . '"'; }
	if (!empty($relTags))       { $aAttribs .= ' rel="' . $relTags . '"'; }
	
	if (!empty($alt))
	  $imgAttribs .= ' alt="' . $alt . '"';
	if ($showPopup == 1)
    if (!empty($url))
	    $aAttribs .= ' title="' . $alt . '"';
	  else
	    $imgAttribs .= ' title="' . $alt . '"';

	echo $before_widget;
	echo '<div class="widget_simpleimagelink_container" ' . $divAttribs .'>';
	
	// Highlight the fact that the image is not defined by enclosing the title within those << & >> characters.
	if (empty($img))
		$title = '&laquo;' . $title . '&raquo;';
		
	// Highlight that the image is not to be displayed
	if (!$display)
		$title .= '&#8855;';
	
	if (!empty($title))
	{
	  // If we are  not to show the title, then enclose it within a div which will stop it from being displayed
    $hideTitle = !is_admin() && ($showTitle != 1);
		if ($hideTitle) { echo '<div class="widget_simpleimagelink_hidetitle">'; }
		echo $before_title . $title . $after_title;
		if ($hideTitle) { echo '</div>'; }
	}

	if (!empty($img))
	{
		echo '<div class="widget_simpleimagelink" style="text-align:' . $alignment . '">';
		if (!empty($url)) echo '<a href="' . $url . '" ' . $aAttribs . '>';
		echo '<img src="' . $img .'" ' . $imgAttribs . ' />';
		if (!empty($text))
		{
			echo $break ? '<br />' : '&nbsp;';
			echo $text;
		}
		if (!empty($url)) echo '</a>';
		echo '</div>';
	}
	
	echo '</div>';
	echo $after_widget;
}

function widget_simpleimagelink_fixupUnits($value, $allowEM = false)
{
	if (!empty($value))
	{
		if (preg_match('|^[0-9]+$|', $value))
			$value .= 'px';
		else if ($allowEM && preg_match('|^[0-9]+(\.[0-9]+){0,1}$|', $value))
			$value .= 'em';
	}
	return $value;
}

function widget_simpleimagelink_control( $widget_args = 1 ) 
{
	global $wp_registered_widgets;
	static $updated = false; // Whether or not we have already updated the data after a POST submit

	if ( is_numeric($widget_args) )
		$widget_args = array( 'number' => $widget_args );
	$widget_args = wp_parse_args( $widget_args, array( 'number' => -1 ) );
	extract( $widget_args, EXTR_SKIP );

	// Data should be stored as array:  array( number => data for that instance of the widget, ... )
	$options = get_option('widget_simpleimagelink');
	if ( !is_array($options) )
		$options = array();

	// We need to update the data
	if ( !$updated && !empty($_POST['sidebar']) ) 
	{
		// Tells us what sidebar to put the data in
		$sidebar = (string) $_POST['sidebar'];

		$sidebars_widgets = wp_get_sidebars_widgets();
		if ( isset($sidebars_widgets[$sidebar]) )
			$this_sidebar =& $sidebars_widgets[$sidebar];
		else
			$this_sidebar = array();

		foreach ( $this_sidebar as $_widget_id ) 
		{
			// Remove all widgets of this type from the sidebar.  We'll add the new data in a second.  This makes sure we don't get any duplicate data
			// since widget ids aren't necessarily persistent across multiple updates
			if ( 'widget_simpleimagelink' == $wp_registered_widgets[$_widget_id]['callback'] && isset($wp_registered_widgets[$_widget_id]['params'][0]['number']) ) 
			{
				$widget_number = $wp_registered_widgets[$_widget_id]['params'][0]['number'];
				if ( !in_array( "simpleimagelink-$widget_number", $_POST['widget-id'] ) ) // the widget has been removed. "simpleimagelink-$widget_number" is "{id_base}-{widget_number}
					unset($options[$widget_number]);
			}
		}

		foreach ( (array) $_POST['widget-simpleimagelink'] as $widget_number => $widget_instance ) 
		{
			// compile data from $widget_instance
			if ( !isset($widget_instance['title']) && isset($options[$widget_number]) ) // user clicked cancel
				continue;
				
			$version = trim($widget_instance['version']);
			$title = trim($widget_instance['title']);
			$showTitle = trim($widget_instance['showTitle']);
			$alt = trim($widget_instance['alt']);
			$showPopup = trim($widget_instance['showPopup']);
			$img = trim($widget_instance['img']);
			$imgWidth = widget_simpleimagelink_fixupUnits(trim($widget_instance['imgWidth'] ));
			$imgHeight = widget_simpleimagelink_fixupUnits(trim($widget_instance['imgHeight'] ));
			$url = trim($widget_instance['url']);
			$urlTarget = trim($widget_instance['urlTarget']);
			$noFollow = trim($widget_instance['noFollow']);
			$paddingTop = widget_simpleimagelink_fixupUnits(trim($widget_instance['paddingTop'] ), true);
			$paddingBottom = widget_simpleimagelink_fixupUnits(trim($widget_instance['paddingBottom'] ), true);
			$alignment = trim($widget_instance['alignment']);
			$text = trim($widget_instance['text']);
			$break = trim($widget_instance['break']);
			$shadowBox = trim($widget_instance['shadowBox']);
			$role = trim(wp_specialchars( $widget_instance['role'] ));
			$roleMethod = trim(wp_specialchars( $widget_instance['roleMethod'] ));

			// NOTE: Do not override any values here, since the user has explicitly set them

			$options[$widget_number] = array( 'version' => SIMPLEIMAGELINK_VERSION,
			                                  'title' => $title, 
			                                  'showTitle' => $showTitle, 
			                                  'alt' => $alt, 
																				'showPopup' => $showPopup,
																				'img' => $img, 
																				'imgWidth' => $imgWidth, 
																				'imgHeight' => $imgHeight, 
																				'url' => $url,
																				'urlTarget' => $urlTarget,
																				'noFollow' => $noFollow,
																				'paddingTop' => $paddingTop,
																				'paddingBottom' => $paddingBottom,
																				'alignment' => $alignment,
																				'text' => $text,
																				'break' => $break,
																				'shadowBox' => $shadowBox,
																				'role' => $role,
																				'roleMethod' => $roleMethod
																			);
		}

		update_option('widget_simpleimagelink', $options);

		$updated = true; // So that we don't go through this more than once
	}

	// Here we echo out the form
	if ( -1 == $number )
	{
	  $version = SIMPLEIMAGELINK_VERSION;
		$title = '';
		$showTitle = 0;
		$alt = '';
		$showPopup = 1;
		$img = '';
		$imgWidth = '';
		$imgHeight = '';
		$url = '';
		$urlTarget = '';
		$noFollow = 1;
		$paddingTop = '';
		$paddingBottom = '';
		$alignment = 'center';
		$text = '';
		$break = 0;
		$number = '%i%';
		$shadowBox = 0;
		$role = '';
		$roleMethod = 0;
	}
	else
	{
		$version = htmlspecialchars(stripcslashes($options[$number]['version']));
		$title = htmlspecialchars(stripcslashes($options[$number]['title']));
		$showTitle = htmlspecialchars(stripcslashes($options[$number]['showTitle']));
		$alt = htmlspecialchars(stripcslashes($options[$number]['alt']));
		$showPopup = htmlspecialchars(stripcslashes($options[$number]['showPopup']));
		$img = htmlspecialchars(stripcslashes($options[$number]['img']));
		$imgWidth = htmlspecialchars(stripcslashes($options[$number]['imgWidth']));
		$imgHeight = htmlspecialchars(stripcslashes($options[$number]['imgHeight']));
		$url = htmlspecialchars(stripcslashes($options[$number]['url']));
		$urlTarget = htmlspecialchars(stripcslashes($options[$number]['urlTarget']));
		$noFollow = htmlspecialchars(stripcslashes($options[$number]['noFollow']));
		$paddingTop = htmlspecialchars(stripcslashes($options[$number]['paddingTop']));
		$paddingBottom = htmlspecialchars(stripcslashes($options[$number]['paddingBottom']));
		$alignment = htmlspecialchars(stripcslashes($options[$number]['alignment']));
		$text = htmlspecialchars(stripcslashes($options[$number]['text']));
		$break = htmlspecialchars(stripcslashes($options[$number]['break']));
		$shadowBox = htmlspecialchars(stripcslashes($options[$number]['shadowBox']));
		$role = attribute_escape($options[$number]['role']);
		$roleMethod = attribute_escape($options[$number]['roleMethod']);
		if (empty($alignment)) $alignment = 'center';
	}
	
	if (empty($version) || ($version <= 2))
	{
		$display = htmlspecialchars(stripcslashes($options[$number]['display']));
		$role = ($display == 0) ? 'do-not-display' : '';
		$roleMethod = 0;
	}
  $display = strcmp($role, 'do-not-display') != 0;
	
?>
	<p>
		<?php echo(__("Title (optional)", 'simple-image-link')); ?>: <input class="widefat" id="widget-simpleimagelink-title-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][title]" type="text" value="<?php echo $title; ?>" />
	</p>
	<p>
		<label for="widget-simpleimagelink-showTitle-<?php echo $number; ?>"><input id="widget-simpleimagelink-showTitle-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][showTitle]" type="checkbox" value="1" <?php if ($showTitle == 1) { echo " checked='yes'"; } ?>/> <?php echo(__("Display title", 'simple-image-link')); ?></label>
	</p>
	<p>
		<?php echo(__("Display image for the following users", 'simple-image-link')); ?>:<br /><select id="widget-simpleimagelink-role-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][role]">
			<?php if (!$display) { ?>
				<option value="do-not-display" selected="selected"><?php echo(__("Do not display", 'simple-image-link')); ?></option>
			<?php } ?>
			<?php if ($role == '') { ?>
				<option value="" selected="selected"><?php echo(__("Not logged in", 'simple-image-link')); ?></option>
			<?php } ?>
		  <?php wp_dropdown_roles($role); ?>
			<?php if ($role != '') { ?>
				<option value=""><?php echo(__("Not logged in", 'simple-image-link')); ?></option>
			<?php } ?>
			<?php if ($display) { ?>
				<option value="do-not-display"><?php echo(__("Do not display", 'simple-image-link')); ?></option>
			<?php } ?>
		</select>
		<select id="widget-simpleimagelink-roleMethod-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][roleMethod]">
	  	<option value ="0" <?php if ($roleMethod == 0) echo 'selected="selected"'; ?>><?php echo(__("At least this role", 'simple-image-link')); ?></option>
	  	<option value ="1" <?php if ($roleMethod == 1) echo 'selected="selected"'; ?>><?php echo(__("Only this role", 'simple-image-link')); ?></option>
		</select>
	</p>
	<p>
		<?php echo(__("Image location (required)", 'simple-image-link')); ?>: <input class="widefat" id="widget-simpleimagelink-img-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][img]" type="text" value="<?php echo $img; ?>" />
	</p>
	<p>
		<?php echo(__("Image dimensions - e.g. 123px or 50% (optional)", 'simple-image-link')); ?><br />
		<?php echo(__("Width", 'simple-image-link')); ?>: <input class="narrowfat" id="widget-simpleimagelink-imgWidth-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][imgWidth]" type="text" value="<?php echo $imgWidth; ?>" />
		&nbsp;&nbsp;&nbsp;<?php echo(__("Height", 'simple-image-link')); ?>: <input class="narrowfat" id="widget-simpleimagelink-imgHeight-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][imgHeight]" type="text" value="<?php echo $imgHeight; ?>" />
	</p>
	<p>
		<?php echo(__("Image alt text (optional)", 'simple-image-link')); ?>: <input class="widefat" id="widget-simpleimagelink-alt-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][alt]" type="text" value="<?php echo $alt; ?>" />
	</p>
	<p>
		<?php echo(__("Text to display after image (optional)", 'simple-image-link')); ?>: <input class="widefat" id="widget-simpleimagelink-text-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][text]" type="text" value="<?php echo $text; ?>" />
	</p>
	<p>
		<label for="widget-simpleimagelink-break-<?php echo $number; ?>"><input id="widget-simpleimagelink-break-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][break]" type="checkbox" value="1" <?php if ($break == 1) { echo " checked='yes'"; } ?>/> <?php echo(__("Break between image and text", 'simple-image-link')); ?></label>
	</p>
	<p>
		<?php echo(__("Alignment", 'simple-image-link')); ?>: <select class="widefat" id="widget-simpleimagelink-alignment-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][alignment]">
  		<option value="left" <?php if ($alignment == 'left') echo 'selected="selected"'; ?>><?php echo(__("Left", 'simple-image-link')); ?></option>
  		<option value="center" <?php if ($alignment == 'center') echo 'selected="selected"'; ?>><?php echo(__("Center", 'simple-image-link')); ?></option>
  		<option value="right" <?php if ($alignment == 'right') echo 'selected="selected"'; ?>><?php echo(__("Right", 'simple-image-link')); ?></option>
		</select>
	</p>
	<p>
		<?php echo(__("Link location (optional)", 'simple-image-link')); ?>: <input class="widefat" id="widget-simpleimagelink-url-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][url]" type="text" value="<?php echo $url; ?>" />
	</p>
	<p>
		<?php echo(__("Link target", 'simple-image-link')); ?>: <select class="widefat" id="widget-simpleimagelink-urlTarget-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][urlTarget]">
  		<option value ="" <?php if ($urlTarget != '_blank') echo 'selected="selected"'; ?>><?php echo(__("Open link in the same window", 'simple-image-link')); ?></option>
	  	<option value ="_blank" <?php if ($urlTarget == '_blank') echo 'selected="selected"'; ?>><?php echo(__("Open link in a new window", 'simple-image-link')); ?></option>
		</select><br />
		<label for="widget-simpleimagelink-noFollow-<?php echo $number; ?>"><input id="widget-simpleimagelink-noFollow-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][noFollow]" type="checkbox" value="1" <?php if ($noFollow == 1) { echo " checked='yes'"; } ?>/> <?php echo(__("Use nofollow on link", 'simple-image-link')); ?></label>
		&nbsp;&nbsp;&nbsp;<label for="widget-simpleimagelink-shadowBox-<?php echo $number; ?>"><input id="widget-simpleimagelink-shadowBox-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][shadowBox]" type="checkbox" value="1" <?php if ($shadowBox == 1) { echo " checked='yes'"; } ?>/> <?php echo(__("Use shadowbox on link", 'simple-image-link')); ?></label>
	</p>
	<p>
		<label for="widget-simpleimagelink-showPopup-<?php echo $number; ?>"><input id="widget-simpleimagelink-showPopup-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][showPopup]" type="checkbox" value="1" <?php if ($showPopup == 1) { echo " checked='yes'"; } ?>/> <?php echo(__("Display image alt text as link popup (i.e. anchor title)", 'simple-image-link')); ?></label>
	</p>
	<p>
		<?php echo(__("Additional padding - e.g. 10px or 1.0em (optional)", 'simple-image-link')); ?><br />
		<?php echo(__("Above", 'simple-image-link')); ?>: <input class="narrowfat" id="widget-simpleimagelink-paddingTop-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][paddingTop]" type="text" value="<?php echo $paddingTop; ?>" />
		&nbsp;&nbsp;&nbsp;<?php echo(__("Below", 'simple-image-link')); ?>: <input class="narrowfat" id="widget-simpleimagelink-paddingBottom-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][paddingBottom]" type="text" value="<?php echo $paddingBottom; ?>" />
		<input type="hidden" id="widget-simpleimagelink-submit-<?php echo $number; ?>" name="widget-simpleimagelink[<?php echo $number; ?>][submit]" value="1" />
	</p>
<?php
}

// Registers each instance of our widget on startup
function widget_simpleimagelink_init() 
{
	if ( !$options = get_option('widget_simpleimagelink') )
		$options = array();

	$widget_ops = array('classname' => 'widget_simpleimagelink', 'description' => __('Displays an image which has a link attached to it.', 'simple-image-link'));
	$control_ops = array('width' => 400, 'height' => 350, 'id_base' => 'simpleimagelink');
	$name = __('Simple Image Link', 'simple-image-link');

	$registered = false;
	foreach ( array_keys($options) as $o ) 
	{
		// Old widgets can have null values for some reason
		if ( !isset($options[$o]['title']) )
			continue;

		// $id should look like {$id_base}-{$o}
		$id = "simpleimagelink-$o"; // Never never never translate an id
		$registered = true;
		wp_register_sidebar_widget( $id, $name, 'widget_simpleimagelink', $widget_ops, array( 'number' => $o ) );
		wp_register_widget_control( $id, $name, 'widget_simpleimagelink_control', $control_ops, array( 'number' => $o ) );
	}

	// If there are none, we register the widget's existance with a generic template
	if ( !$registered ) 
	{
		wp_register_sidebar_widget( 'simpleimagelinkimagelink-1', $name, 'widget_simpleimagelink', $widget_ops, array( 'number' => -1 ) );
		wp_register_widget_control( 'simpleimagelinkimagelink-1', $name, 'widget_simpleimagelink_control', $control_ops, array( 'number' => -1 ) );
	}
}

add_action("wp_head", "widget_simpleimagelink_header");
add_action("admin_head", "widget_simpleimagelink_header");
add_action("plugins_loaded", "widget_simpleimagelink_init");

if (function_exists('load_plugin_textdomain')) 
{
	load_plugin_textdomain('simple-image-link', false, dirname(plugin_basename(__FILE__)));
}

?>
